net.sf.jasperreports.engine.export

## Class JRXhtmlExporter

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractExporter<RC,C,HtmlExporterOutput,JRHtmlExporterContext>
  - - net.sf.jasperreports.engine.export.AbstractHtmlExporter<HtmlReportConfiguration,HtmlExporterConfiguration>
    - - net.sf.jasperreports.engine.export.JRXhtmlExporter

- All Implemented Interfaces:
    JRExporter<ExporterInput,HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput>, Exporter<ExporterInput,HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput>

  Deprecated.
  Replaced by `HtmlExporter`.

      public class JRXhtmlExporter
      extends AbstractHtmlExporter<HtmlReportConfiguration,HtmlExporterConfiguration>

  Exports a JasperReports document to XHTML format.
  Version:
    $Id: JRXhtmlExporter.java 6967 2014-03-11 17:19:59Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `JRXhtmlExporter.ExporterContext` Deprecated.

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `JRAbstractExporter.BaseExporterContext, JRAbstractExporter.PageRange`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `bottomLimit` Deprecated.
    `protected int` | `elementIndex` Deprecated.
    `protected java.util.Map<java.lang.String,HtmlFont>` | `fontsToProcess` Deprecated.
    `protected java.util.List<net.sf.jasperreports.engine.export.JRXhtmlExporter.FrameInfo>` | `frameInfoStack` Deprecated.
    `protected boolean` | `hyperlinkStarted` Deprecated.
    `protected java.util.Map<Pair<java.lang.String,java.awt.Rectangle>,java.lang.String>` | `imageMaps` Deprecated.
    `protected int` | `leftLimit` Deprecated.
    `protected int` | `pageIndex` Deprecated.
    `static java.lang.String` | `PROPERTY_IGNORE_HYPERLINK` Deprecated.
    `protected java.util.Map<java.lang.String,java.lang.String>` | `rendererToImagePathMap` Deprecated.
    `protected int` | `reportIndex` Deprecated.
    `protected int` | `rightLimit` Deprecated.
    `protected JRHyperlinkTargetProducerFactory` | `targetProducerFactory` Deprecated.
    `protected int` | `topLimit` Deprecated.
    `protected java.io.Writer` | `writer` Deprecated.
    `static java.lang.String` | `XHTML_EXPORTER_KEY` Deprecated. The exporter key, as used in `GenericElementHandlerEnviroment.getHandler(net.sf.jasperreports.engine.JRGenericElementType, String)`.

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractHtmlExporter

      `CSS_TEXT_ALIGN_CENTER, CSS_TEXT_ALIGN_JUSTIFY, CSS_TEXT_ALIGN_LEFT, CSS_TEXT_ALIGN_RIGHT, DEFAULT_ZOOM, fontHandler, HTML_VERTICAL_ALIGN_BOTTOM, HTML_VERTICAL_ALIGN_MIDDLE, HTML_VERTICAL_ALIGN_TOP, IMAGE_NAME_PREFIX, IMAGE_NAME_PREFIX_LEGTH, imageHandler, JR_BOOKMARK_ANCHOR_PREFIX, JR_PAGE_ANCHOR_PREFIX, resourceHandler`

    - ### Fields inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `allSelector, crtCompositeConfiguration, crtCompositeItemConfiguration, crtItem, dateFormatCache, EXCEPTION_MESSAGE_KEY_END_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_START_PAGE_INDEX_OUT_OF_RANGE, exporterConfiguration, exporterContext, exporterInput, exporterOutput, filter, itemConfiguration, jasperPrint, jasperReportsContext, noBackcolorSelector, noneSelector, numberFormatCache, parameters, propertiesUtil, PROPERTY_DEFAULT_FILTER_FACTORY, PROPERTY_SUFFIX_DEFAULT_FILTER_FACTORY, styledTextUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRXhtmlExporter()` Deprecated.
    `JRXhtmlExporter(JasperReportsContext jasperReportsContext)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendBackcolorStyle(JRPrintElement element, java.lang.StringBuffer styleBuffer)` Deprecated.
    `protected boolean` | `appendBorderStyle(JRLineBox box, java.lang.StringBuffer styleBuffer)` Deprecated.
    `protected void` | `appendPositionStyle(int x, int y, java.lang.StringBuffer styleBuffer)` Deprecated.
    `protected void` | `appendPositionStyle(JRPrintElement element, JRBoxContainer boxContainer, java.lang.StringBuffer styleBuffer)` Deprecated.
    `protected void` | `appendPositionStyle(JRPrintElement element, JRPen pen, java.lang.StringBuffer styleBuffer)` Deprecated.
    `protected void` | `appendSizeStyle(int width, int height, java.lang.StringBuffer styleBuffer)` Deprecated.
    `protected void` | `appendSizeStyle(JRPrintElement element, JRBoxContainer boxContainer, java.lang.StringBuffer styleBuffer)` Deprecated.
    `protected void` | `appendSizeStyle(JRPrintElement element, JRPen pen, java.lang.StringBuffer styleBuffer)` Deprecated.
    `protected void` | `endHyperlink()` Deprecated.
    `protected void` | `ensureOutput()` Deprecated.
    `protected void` | `exportElements(java.util.List<JRPrintElement> elements)` Deprecated.
    `void` | `exportFrame(JRPrintFrame frame)` Deprecated.
    `protected void` | `exportGenericElement(JRGenericPrintElement element)` Deprecated.
    `protected void` | `exportImage(JRPrintImage image)` Deprecated.
    `protected void` | `exportLine(JRPrintLine line)` Deprecated.
    `protected void` | `exportPage(JRPrintPage page)` Deprecated.
    `protected void` | `exportRectangle(JRPrintGraphicElement element)` Deprecated.
    `void` | `exportReport()` Deprecated. Performs the export.
    `protected void` | `exportReportToWriter()` Deprecated.
    `protected void` | `exportStyledText(JRPrintText printText, JRStyledText styledText, java.lang.String tooltip)` Deprecated.
    `protected void` | `exportStyledTextRun(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, java.lang.String text, java.lang.String tooltip, java.util.Locale locale, LineSpacingEnum lineSpacing, java.lang.Float lineSpacingSize, float lineSpacingFactor, java.awt.Color backcolor)` Deprecated.
    `protected void` | `exportText(JRPrintText text)` Deprecated.
    `protected java.lang.Class<HtmlExporterConfiguration>` | `getConfigurationInterface()` Deprecated.
    `java.lang.String` | `getDataAttributes(JRPrintElement element)` Deprecated.
    `protected JRPrintElementIndex` | `getElementIndex()` Deprecated.
    `JasperPrint` | `getExportedReport()` Deprecated.
    `java.lang.String` | `getExporterKey()` Deprecated.
    `java.lang.String` | `getExporterPropertiesPrefix()` Deprecated. Returns the properties prefix for the current exporter.
    `java.util.Map<JRExporterParameter,java.lang.Object>` | `getExportParameters()` Deprecated.
    `protected java.lang.String` | `getHyperlinkTarget(JRPrintHyperlink link)` Deprecated.
    `protected java.lang.String` | `getHyperlinkURL(JRPrintHyperlink link)` Deprecated.
    `protected int` | `getInsideBorderOffset(float borderWidth, boolean small)` Deprecated.
    `protected java.lang.Class<HtmlReportConfiguration>` | `getItemConfigurationInterface()` Deprecated.
    `protected JRStyledText` | `getStyledText(JRPrintText textElement, boolean setBackcolor)` Deprecated.
    `protected void` | `initExport()` Deprecated.
    `protected void` | `initReport()` Deprecated.
    `protected boolean` | `startHyperlink(JRPrintHyperlink link)` Deprecated.
    `java.lang.String` | `toSizeUnit(float size)` Deprecated.
    `java.lang.String` | `toSizeUnit(int size)` Deprecated. Replaced by `toSizeUnit(float)`.
    `float` | `toZoom(float size)` Deprecated.
    `int` | `toZoom(int size)` Deprecated. Replaced by `toZoom(float)`.
    `protected void` | `writeImageAreaCoordinates(int[] coords)` Deprecated.
    `protected void` | `writeImageAreaHyperlink(JRPrintHyperlink hyperlink)` Deprecated.
    `protected void` | `writeImageMap(java.lang.String imageMapName, JRPrintImage image, java.util.List<JRPrintImageAreaHyperlink> imageMapAreas)` Deprecated.

    - ### Methods inherited from class net.sf.jasperreports.engine.export.AbstractHtmlExporter

      `getFontHandler, getImage, getImage, getImageHandler, getImageName, getPrintElementIndex, getResourceHandler, setFontHandler, setImageHandler, setResourceHandler`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `createFilter, defaultParseNumber, ensureInput, ensureJasperReportsContext, getBooleanCellValue, getCurrentConfiguration, getCurrentItemConfiguration, getCurrentJasperPrint, getCustomHandler, getDateCellValue, getDateFormat, getExporterContext, getExporterInput, getExporterOutput, getHyperlinkProducer, getJasperReportsContext, getLocale, getNumberCellValue, getNumberFormat, getOffsetX, getOffsetY, getPageRange, getParameter, getParameters, getPropertiesUtil, getReportContext, getStyledText, getTextFormatFactoryClass, getTextLocale, getTextTimeZone, getTextValue, getTextValueString, reset, resetClassLoader, resetExportContext, restoreElementOffsets, setClassLoader, setConfiguration, setConfiguration, setCurrentExporterInputItem, setExporterInput, setExporterOutput, setFrameElementsOffset, setJasperPrint, setJasperReportsContext, setOffset, setOffset, setParameter, setParameters, setReportContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_IGNORE_HYPERLINK

          public static final java.lang.String PROPERTY_IGNORE_HYPERLINK

      Deprecated.
      See Also:
        Constant Field Values

    - #### XHTML_EXPORTER_KEY

          public static final java.lang.String XHTML_EXPORTER_KEY

      Deprecated.
      The exporter key, as used in `GenericElementHandlerEnviroment.getHandler(net.sf.jasperreports.engine.JRGenericElementType, String)`.
      See Also:
        Constant Field Values

    - #### writer

          protected java.io.Writer writer

      Deprecated.

    - #### rendererToImagePathMap

          protected java.util.Map<java.lang.String,java.lang.String> rendererToImagePathMap

      Deprecated.

    - #### imageMaps

          protected java.util.Map<Pair<java.lang.String,java.awt.Rectangle>,java.lang.String> imageMaps

      Deprecated.

    - #### fontsToProcess

          protected java.util.Map<java.lang.String,HtmlFont> fontsToProcess

      Deprecated.

    - #### reportIndex

          protected int reportIndex

      Deprecated.

    - #### pageIndex

          protected int pageIndex

      Deprecated.

    - #### frameInfoStack

          protected java.util.List<net.sf.jasperreports.engine.export.JRXhtmlExporter.FrameInfo> frameInfoStack

      Deprecated.

    - #### elementIndex

          protected int elementIndex

      Deprecated.

    - #### topLimit

          protected int topLimit

      Deprecated.

    - #### leftLimit

          protected int leftLimit

      Deprecated.

    - #### rightLimit

          protected int rightLimit

      Deprecated.

    - #### bottomLimit

          protected int bottomLimit

      Deprecated.

    - #### targetProducerFactory

          protected JRHyperlinkTargetProducerFactory targetProducerFactory

      Deprecated.

    - #### hyperlinkStarted

          protected boolean hyperlinkStarted

      Deprecated.

  - ### Constructor Detail

    - #### JRXhtmlExporter

          public JRXhtmlExporter()

      Deprecated.
      See Also:
        `JRXhtmlExporter(JasperReportsContext)`

    - #### JRXhtmlExporter

          public JRXhtmlExporter(JasperReportsContext jasperReportsContext)

      Deprecated.

  - ### Method Detail

    - #### getConfigurationInterface

          protected java.lang.Class<HtmlExporterConfiguration> getConfigurationInterface()

      Deprecated.
      Specified by:
        `getConfigurationInterface` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### getItemConfigurationInterface

          protected java.lang.Class<HtmlReportConfiguration> getItemConfigurationInterface()

      Deprecated.
      Specified by:
        `getItemConfigurationInterface` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### ensureOutput

          protected void ensureOutput()

      Deprecated.
      Specified by:
        `ensureOutput` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### exportReport

          public void exportReport()
                            throws JRException

      Deprecated.
      Description copied from interface: `Exporter`
      Performs the export.
      Specified by:
        `exportReport` in interface `Exporter<ExporterInput,HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput>`
      Specified by:
        `exportReport` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`
      Throws:
        `JRException`

    - #### initExport

          protected void initExport()

      Deprecated.
      Overrides:
        `initExport` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### initReport

          protected void initReport()

      Deprecated.
      Overrides:
        `initReport` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### exportReportToWriter

          protected void exportReportToWriter()
                                       throws JRException,
                                              java.io.IOException

      Deprecated.
      Throws:
        `JRException`
        `java.io.IOException`

    - #### exportPage

          protected void exportPage(JRPrintPage page)
                             throws JRException,
                                    java.io.IOException

      Deprecated.
      Throws:
        `JRException`
        `java.io.IOException`

    - #### exportElements

          protected void exportElements(java.util.List<JRPrintElement> elements)
                                 throws java.io.IOException,
                                        JRException

      Deprecated.
      Throws:
        `java.io.IOException`
        `JRException`

    - #### exportLine

          protected void exportLine(JRPrintLine line)
                             throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### exportRectangle

          protected void exportRectangle(JRPrintGraphicElement element)
                                  throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### exportStyledText

          protected void exportStyledText(JRPrintText printText,
                              JRStyledText styledText,
                              java.lang.String tooltip)
                                   throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### exportStyledTextRun

          protected void exportStyledTextRun(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                                 java.lang.String text,
                                 java.lang.String tooltip,
                                 java.util.Locale locale,
                                 LineSpacingEnum lineSpacing,
                                 java.lang.Float lineSpacingSize,
                                 float lineSpacingFactor,
                                 java.awt.Color backcolor)
                                      throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### exportText

          protected void exportText(JRPrintText text)
                             throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### startHyperlink

          protected boolean startHyperlink(JRPrintHyperlink link)
                                    throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### getHyperlinkTarget

          protected java.lang.String getHyperlinkTarget(JRPrintHyperlink link)

      Deprecated.

    - #### getHyperlinkURL

          protected java.lang.String getHyperlinkURL(JRPrintHyperlink link)

      Deprecated.

    - #### endHyperlink

          protected void endHyperlink()
                               throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### appendBorderStyle

          protected boolean appendBorderStyle(JRLineBox box,
                                  java.lang.StringBuffer styleBuffer)

      Deprecated.

    - #### getInsideBorderOffset

          protected int getInsideBorderOffset(float borderWidth,
                                  boolean small)

      Deprecated.

    - #### appendSizeStyle

          protected void appendSizeStyle(JRPrintElement element,
                             JRBoxContainer boxContainer,
                             java.lang.StringBuffer styleBuffer)

      Deprecated.

    - #### appendSizeStyle

          protected void appendSizeStyle(JRPrintElement element,
                             JRPen pen,
                             java.lang.StringBuffer styleBuffer)

      Deprecated.

    - #### appendSizeStyle

          protected void appendSizeStyle(int width,
                             int height,
                             java.lang.StringBuffer styleBuffer)

      Deprecated.

    - #### appendPositionStyle

          protected void appendPositionStyle(JRPrintElement element,
                                 JRBoxContainer boxContainer,
                                 java.lang.StringBuffer styleBuffer)

      Deprecated.

    - #### appendPositionStyle

          protected void appendPositionStyle(JRPrintElement element,
                                 JRPen pen,
                                 java.lang.StringBuffer styleBuffer)

      Deprecated.

    - #### appendPositionStyle

          protected void appendPositionStyle(int x,
                                 int y,
                                 java.lang.StringBuffer styleBuffer)

      Deprecated.

    - #### appendBackcolorStyle

          protected void appendBackcolorStyle(JRPrintElement element,
                                  java.lang.StringBuffer styleBuffer)

      Deprecated.

    - #### exportImage

          protected void exportImage(JRPrintImage image)
                              throws JRException,
                                     java.io.IOException

      Deprecated.
      Throws:
        `JRException`
        `java.io.IOException`

    - #### getElementIndex

          protected JRPrintElementIndex getElementIndex()

      Deprecated.

    - #### writeImageMap

          protected void writeImageMap(java.lang.String imageMapName,
                           JRPrintImage image,
                           java.util.List<JRPrintImageAreaHyperlink> imageMapAreas)
                                throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### writeImageAreaCoordinates

          protected void writeImageAreaCoordinates(int[] coords)
                                            throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### writeImageAreaHyperlink

          protected void writeImageAreaHyperlink(JRPrintHyperlink hyperlink)
                                          throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### getDataAttributes

          public java.lang.String getDataAttributes(JRPrintElement element)

      Deprecated.

    - #### exportFrame

          public void exportFrame(JRPrintFrame frame)
                           throws java.io.IOException,
                                  JRException

      Deprecated.
      Throws:
        `java.io.IOException`
        `JRException`

    - #### exportGenericElement

          protected void exportGenericElement(JRGenericPrintElement element)
                                       throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### getExportParameters

          public java.util.Map<JRExporterParameter,java.lang.Object> getExportParameters()

      Deprecated.

    - #### getExporterPropertiesPrefix

          public java.lang.String getExporterPropertiesPrefix()

      Deprecated.
      Description copied from class: `JRAbstractExporter`
      Returns the properties prefix for the current exporter.
      Specified by:
        `getExporterPropertiesPrefix` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`
      Returns:
        the properties prefix for the current exporter

    - #### getExportedReport

          public JasperPrint getExportedReport()

      Deprecated.

    - #### toSizeUnit

          public java.lang.String toSizeUnit(float size)

      Deprecated.

    - #### toSizeUnit

          public java.lang.String toSizeUnit(int size)

      Deprecated. Replaced by `toSizeUnit(float)`.

    - #### toZoom

          public float toZoom(float size)

      Deprecated.

    - #### toZoom

          public int toZoom(int size)

      Deprecated. Replaced by `toZoom(float)`.

    - #### getStyledText

          protected JRStyledText getStyledText(JRPrintText textElement,
                                   boolean setBackcolor)

      Deprecated.
      Overrides:
        `getStyledText` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### getExporterKey

          public java.lang.String getExporterKey()

      Deprecated.
      Specified by:
        `getExporterKey` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com